package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name="UskomJenisPemeriksaan_T")
public class UskomJenisPemeriksaan extends BaseTransaction{

	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Uskom List Pemeriksaan FK")
	@JoinColumn(name="UskomListPemeriksaanFK")
	private UskomListPemeriksaan uskomListPemeriksaan;
	
	@Column(name="UskomListPemeriksaanFK", insertable=false, updatable=false, nullable=false)
	private String uskomListPemeriksaanId;
	
	@Caption(value="Nilai")
	@Column(name="Nilai", length=50, nullable=true)
	private String nilai;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Uskom Nilai Normal FK")
	@JoinColumn(name="UskomNilaiNormalFK")
	private UskomNilaiNormal uskomNilaiNormal;
	
	@Column(name="UskomNilaiNormalFK", insertable=false, updatable=false, nullable=true)
	private Integer uskomNilaiNormalId;

	public UskomListPemeriksaan getUskomListPemeriksaan() {
		return uskomListPemeriksaan;
	}

	public void setUskomListPemeriksaan(UskomListPemeriksaan uskomListPemeriksaan) {
		this.uskomListPemeriksaan = uskomListPemeriksaan;
	}

	public String getUskomListPemeriksaanId() {
		return uskomListPemeriksaanId;
	}

	public void setUskomListPemeriksaanId(String uskomListPemeriksaanId) {
		this.uskomListPemeriksaanId = uskomListPemeriksaanId;
	}

	public String getNilai() {
		return nilai;
	}

	public void setNilai(String nilai) {
		this.nilai = nilai;
	}

	public UskomNilaiNormal getUskomNilaiNormal() {
		return uskomNilaiNormal;
	}

	public void setUskomNilaiNormal(UskomNilaiNormal uskomNilaiNormal) {
		this.uskomNilaiNormal = uskomNilaiNormal;
	}

	public Integer getUskomNilaiNormalId() {
		return uskomNilaiNormalId;
	}

	public void setUskomNilaiNormalId(Integer uskomNilaiNormalId) {
		this.uskomNilaiNormalId = uskomNilaiNormalId;
	}

}
